Subject: bug#9766: 24.0.50; rmail-forward makes attachment that doesn't read right

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Oct 2011 10:07:55 -0400

> Date: Mon, 17 Oct 2011 09:14:44 -0400
> From: Richard Stallman <[email-masked]>
> CC: [email-masked]
> 
>     Actually that copying is done by
>     rmail-insert-mime-resent-message
>     (rmail-insert-mime-resent-message-function is set to it when
>     rmailmm.el is loaded), and that function was changed by RMS
>     as this.
> 
> My change was to forward the message as displayed, rather than the raw
> text of the message.

Was it for the MIME version of forwarding or for the inline version?

The problem we have now is only with the MIME version.

> Anyway, there is still a bug.  Some different bug.  Can someone tell
> me what is wrong with the output that is generated now?  If I know
> what output would be correct, I can fix this bug.

I think what needs to be done is to copy into the buffer where mail is
composed the message in the original form, not in the form we put into
the rmail-view-buffer.

For the definitive answer, I suggest to start Emacs with the default
value of mail-user-agent, start Rmail, forward (to yourself) a message
with attachments, and then look at hoe message.el did it.